%global srcname colcon-meson

Name:           python-%{srcname}
Version:        0.3.0
Release:        1%{?dist}
Summary:        Extension for colcon to support Meson packages

License:        ASL 2.0
URL:            https://colcon.readthedocs.io
Source0:        https://github.com/colcon/%{srcname}/archive/%{version}/%{srcname}-%{version}.tar.gz

BuildArch:      noarch

%description
A colcon extension for building Meson packages.


%package -n python%{python3_pkgversion}-%{srcname}
Summary:        %{summary}
BuildRequires:  python%{python3_pkgversion}-devel
BuildRequires:  python%{python3_pkgversion}-setuptools >= 30.3.0
%{?python_provide:%python_provide python%{python3_pkgversion}-%{srcname}}

%if %{undefined __pythondist_requires}
Requires:       meson >= 0.54.0
Requires:       python%{python3_pkgversion}-colcon-core
Requires:       python%{python3_pkgversion}-colcon-library-path
%endif

%description -n python%{python3_pkgversion}-%{srcname}
A colcon extension for building Meson packages.


%prep
%autosetup -p1 -n %{srcname}-%{version}


%build
%py3_build


%install
%py3_install


%check
%py3_check_import colcon_meson


%files -n python%{python3_pkgversion}-%{srcname}
%license LICENSE
%doc README.md
%{python3_sitelib}/colcon_meson/
%{python3_sitelib}/colcon_meson-%{version}-py%{python3_version}.egg-info/


%changelog
* Wed Aug 10 2022 Scott K Logan <logans@cottsay.net> - 0.3.0-1
- Initial package
